public class SinusEnConsole {

/////////////////////////////////////////////////

/* Calcul du sinus d'un angle en degres        */

  static double sinus(double angle) {
    double sn;
    sn = Math.sin(angle*Math.PI/180.0);
    return sn;
  }

/////////////////////////////////////////////////

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("Sinus");
    double angle;
    double sn;
    Console.afficher("SVP, angle : ");
    angle = Console.saisirDouble();
    sn = sinus(angle);
    Console.afficherln("sin(",angle,") = ",sn);
  }
}